Skip to content

Share agent with other

POST
/api/v1/gen_agents/share

Share an agent with another user with specific permissions.

ShareAgentRequest
object
user_shared_agent
required
ShareAgentData
object
agent_id
required
Agent Id

ID of the agent to share

string
username_or_email
required
Username Or Email

Username or email of the user to share with

string
role
required
Role

Role/permission level for the shared agent

string
Allowed values: viewer editor owner manager
Example
editor

Successful Response

BooleanResponse

Simple response returning a single boolean success status.

object
success
required
Success

Success status of the operation

boolean

Bad Request

ErrorResponse
object
detail
Any of:
string
error
Any of:
string
error_code
Any of:
string

Agent not found

ErrorResponse
object
detail
Any of:
string
error
Any of:
string
error_code
Any of:
string

User shared agent creation/update failed.

ErrorResponse
object
detail
Any of:
string
error
Any of:
string
error_code
Any of:
string

Internal Server Error

ErrorResponse
object
detail
Any of:
string
error
Any of:
string
error_code
Any of:
string